### Method

# FwupdPlugin TpmEventlog calc_checksums

since: 2.1.1

#### Declaration [src]

    GPtrArray*
    fu_tpm_eventlog_calc_checksums (
      FuTpmEventlog* self,
      guint8 pcr,
      GError** error
    )

#### Description [src]

Calculate the possible checksums for a given PCR.

Available since: 2.1.1

#### Parameters

`pcr`

  Type: `guint8`

  A PCR value.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

Checksum strings.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.